osl::mobility::KingMobility Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Classes | Public Member Functions | Private Attributes | List of all members
osl::mobility::KingMobility Class Reference

`#include <kingMobility.h>`

Collaboration diagram for osl::mobility::KingMobility:
[legend]

## Classes
union | b128

## Public Member Functions
| KingMobility ()
const CArray< unsigned char, 8 > & | operator[] (Player p) const
CArray< unsigned char, 8 > & | operator[] (Player p)
KingMobility & | operator= (KingMobility const &km)
bool | operator== (KingMobility const &km) const

## Private Attributes
union osl::mobility::KingMobility::b128 | v

## Detailed Description

Definition at line 24 of file kingMobility.h.

## Constructor & Destructor Documentation

osl::mobility::KingMobility::KingMobility | ( | ) |  |
| inline

Definition at line 37 of file kingMobility.h.

## Member Function Documentation

KingMobility& osl::mobility::KingMobility::operator= | ( | KingMobility const & | km) |  |
| inline

Definition at line 46 of file kingMobility.h.

References osl::mobility::KingMobility::b128::uc16, v, and osl::mobility::KingMobility::b128::v2.

bool osl::mobility::KingMobility::operator== | ( | KingMobility const & | km) |  | const
| inline

Definition at line 54 of file kingMobility.h.

References osl::mobility::KingMobility::b128::ul, v, and osl::mobility::KingMobility::b128::v2.

const CArray<unsigned char,8>& osl::mobility::KingMobility::operator[] | ( | Player | p) |  | const
| inline

Definition at line 40 of file kingMobility.h.

References osl::mobility::KingMobility::b128::uc16, and v.

CArray<unsigned char,8>& osl::mobility::KingMobility::operator[] | ( | Player | p) |  |
| inline

Definition at line 43 of file kingMobility.h.

References osl::mobility::KingMobility::b128::uc16, and v.

## Member Data Documentation

union osl::mobility::KingMobility::b128 osl::mobility::KingMobility::v
| private

Referenced by operator=(), operator==(), and operator[]().

The documentation for this class was generated from the following file:

- kingMobility.h